# Store-Producer

This Project is a Gradle project, which is used to produce the messages to division kafka. 



#Prerequisites.
```bash
1)Start the confluent kafka.
2)Start the postgresql.
3)Start the Docker .
```
Docker commands and SQL scripts :
```bash
** docker commands for postgresql **
Step 1: docker run -d -p 5432:5432 --name loc-postgres -e POSTGRES_PASSWORD=welcome postgres
Step 2: docker start loc-postgres
Step 3: docker exec -it loc-postgres bash
Step 4: psql -U postgres

Now run the below sql commands.

CREATE DATABASE EPE;

\c epe;

CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

CREATE TABLE transaction_recorder(uuid uuid NOT NULL DEFAULT uuid_generate_v1(),offertransactionresponse jsonb NOT NULL,offers jsonb NOT NULL,isprocessed boolean);


select * from transaction_recorder;

```

Create following topic Name :  transactionRecord

```bash
When we get following rest end point from OfferTransactionService with transactionId.

http://localhost:8200/transaction/997a9ed1-fb45-46d6-baee-0230f1da93dd


```